package com.sonic.frog.lib.enums;

import lombok.Getter;

import java.math.BigDecimal;

@Getter
public enum HeartbeatLevelEnum {
    LEVEL_1(1, new BigDecimal("0.1"), "ACQUAINTANCE", "Initial acquaintance"),
    LEVEL_2(2, new BigDecimal("0.3"), "ACQUAINTANCE", "Initial acquaintance"),
    LEVEL_3(3, new BigDecimal("0.5"), "FRIEND", "Friend"),
    LEVEL_4(4, new BigDecimal("1"), "FRIEND", "Friend"),
    LEVEL_5(5, new BigDecimal("2"), "FLIRT", "Flirt"),
    LEVEL_6(6, new BigDecimal("3"), "FLIRT", "Flirt"),
    LEVEL_7(7, new BigDecimal("4"), "LOVE", "Love"),
    LEVEL_8(8, new BigDecimal("5"), "LOVE", "Love"),
    LEVEL_9(9, new BigDecimal("6"), "MARRIAGE", "Marriage"),
    LEVEL_10(10, new BigDecimal("7"), "MARRIAGE", "Marriage"),
    ;

    /**
     * 对应等级数字num
     */
    private final int num;
    /**
     * 对应等级24小时未聊天需要扣除的心动值
     */
    private BigDecimal subtractHeartbeatVal;

    /**
     * 关系阶段代码
     */
    private String relationStage;
    /**
     * 关系阶段名称
     */
    private String relationStageName;

    HeartbeatLevelEnum(int num, BigDecimal subtractHeartbeatVal, String relationStage, String relationStageName) {
        this.num = num;
        this.subtractHeartbeatVal = subtractHeartbeatVal;
        this.relationStage = relationStage;
        this.relationStageName = relationStageName;
    }
}
